Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBogdan Gheorghe2013-08-26 17:36:19 -0400
committerBogdan Gheorghe2013-08-26 17:38:12 -0400
commit558269fbc766e495524650528f6a73f9c52a7e58 (patch)
tree1a4896e3b6d3302c48aa08cad8bfd1b39f8cce4a
parent3b890d08dcf81029d8e7592f4e2162ed47774909 (diff)
downloadeclipse.platform.swt-558269fbc766e495524650528f6a73f9c52a7e58.tar.gz
eclipse.platform.swt-558269fbc766e495524650528f6a73f9c52a7e58.tar.xz
eclipse.platform.swt-558269fbc766e495524650528f6a73f9c52a7e58.zip
Revert "Bug 415783 - Do not build libswt-gnome.so for GTK_VERSION=3.0"
This reverts commit 3b890d08dcf81029d8e7592f4e2162ed47774909. Revert "Bug 413293 - Allow building Gtk 2.x and 3.x native parts in one call " This reverts commit 003624c744ec5b9620c78e62b64d67e2ff73189b.
-rw-r--r--bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh8
-rw-r--r--bundles/org.eclipse.swt/buildSWT.xml3
2 files changed, 3 insertions, 8 deletions
diff --git a/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh b/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh
index 440c28aee3..689616e0c9 100644
--- a/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh
+++ b/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh
@@ -455,14 +455,12 @@ if [ ${MODEL} = 'x86' -a ${SWT_OS} = 'linux' ]; then
export SWT_LFLAGS SWT_PTR_CFLAGS
fi
-if [ x`pkg-config --exists gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0 && echo YES` = "xYES" -a ${MODEL} != "sparc64" -a ${MODEL} != 'ia64' -a ${GTK_VERSION} != '3.0' ]; then
+if [ x`pkg-config --exists gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0 && echo YES` = "xYES" -a ${MODEL} != "sparc64" -a ${MODEL} != 'ia64' ]; then
echo "libgnomeui-2.0 found, compiling SWT program support using GNOME"
MAKE_GNOME=make_gnome
else
- if [ ${GTK_VERSION} != '3.0' ]; then
- echo "libgnome-2.0 and libgnomeui-2.0 not found:"
- echo " *** SWT Program support for GNOME will not be compiled."
- fi
+ echo "libgnome-2.0 and libgnomeui-2.0 not found:"
+ echo " *** SWT Program support for GNOME will not be compiled."
fi
if [ x`pkg-config --exists cairo && echo YES` = "xYES" ]; then
diff --git a/bundles/org.eclipse.swt/buildSWT.xml b/bundles/org.eclipse.swt/buildSWT.xml
index 32551ae9d8..8288c35a37 100644
--- a/bundles/org.eclipse.swt/buildSWT.xml
+++ b/bundles/org.eclipse.swt/buildSWT.xml
@@ -938,7 +938,6 @@
<param name="build_targets" value="install"/>
<param name="libs" value="*pi3*"/>
<param name="exports" value="export GTK_VERSION=3.0;"/>
- <param name="gtk_version" value="3.0"/>
</antcall>
</target>
@@ -1002,10 +1001,8 @@
</target>
<target name="build_local">
- <property name="gtk_version" value="2.0" />
<exec dir="${build_dir}" executable="sh" failonerror="true">
<arg line="build.sh"/>
- <env key="GTK_VERSION" value="${gtk_version}"/>
<env key="MODEL" value="${swt.arch}"/>
<env key="OUTPUT_DIR" value="${output_dir}"/>
<arg line="${targets}"/>

Back to the top